import os

class Cd:
    """Context manager for changing the current working directory

    From: https://stackoverflow.com/a/13197763/3368468
    """
    def __init__(self, newPath):
        self.newPath = os.path.expanduser(newPath)

    def __enter__(self):
        self.savedPath = os.getcwd()
        os.chdir(self.newPath)

    def __exit__(self, etype, value, traceback):
        os.chdir(self.savedPath)